Skip to main content
3 min read

GET /websites/:websiteId

Retrieve detailed information for a specific website. Returns the website's domain, tracking code, settings, and metadata.

GET/api/external/v1/websites/:websiteId

Get website details

Authentication

AuthenticationBash
curl -X GET 'https://api.zenovay.com/api/external/v1/websites/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-API-Key: YOUR_API_KEY'

Parameters

NameTypeRequiredDefaultDescription
websiteIdstring (path)Yes-The UUID of the website to retrieve

Response

Response (200 OK)JSON
{
"success": true,
"data": {
  "website": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "domain": "mywebsite.com",
    "name": "My Website",
    "tracking_code": "ZV_abc123xyz",
    "is_active": true,
    "team_id": "t1a2b3c4-d5e6-7890-abcd-ef1234567890",
    "user_id": "u1a2b3c4-d5e6-7890-abcd-ef1234567890",
    "created_at": "2025-11-15T10:30:00.000Z",
    "settings": {
      "track_outbound_links": true,
      "track_downloads": true,
      "session_replay": true,
      "heatmaps": true
    }
  }
},
"timestamp": "2026-02-07T12:00:00.000Z"
}

Response Fields

FieldTypeDescription
website.idstringUnique website identifier (UUID)
website.domainstringWebsite domain
website.namestringDisplay name
website.tracking_codestringTracking code for the snippet
website.is_activebooleanWhether tracking is active
website.team_idstringTeam that owns the website
website.user_idstringUser who created the website
website.created_atstringISO 8601 creation date
website.settingsobjectWebsite tracking settings

TypeScript Interface

WebsiteDetailResponseTypeScript
interface WebsiteDetail {
id: string;
domain: string;
name: string;
tracking_code: string;
is_active: boolean;
team_id: string;
user_id: string;
created_at: string;
settings: Record<string, any>;
}

interface WebsiteDetailResponse {
success: true;
data: {
  website: WebsiteDetail;
};
timestamp: string;
}

HTTP Status Codes

Status CodeDescription
200Success
400Bad Request - Invalid parameters
401Unauthorized - Invalid or missing API key
403Forbidden - API key does not have access to this website
404Not Found - Website not found
429Too Many Requests - Rate limit exceeded
500Internal Server Error

Code Examples

cURLBash
curl -X GET 'https://api.zenovay.com/api/external/v1/websites/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-API-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json'

Error Handling

Error Response (404 Not Found)JSON
{
"success": false,
"error": {
  "message": "Website not found",
  "code": "NOT_FOUND",
  "timestamp": "2026-02-07T12:00:00.000Z"
}
}
Error Response (403 Forbidden)JSON
{
"success": false,
"error": {
  "message": "API key does not have access to this website",
  "code": "FORBIDDEN",
  "timestamp": "2026-02-07T12:00:00.000Z"
}
}
Was this page helpful?